Bug 1166189 - gearbox requires ice
Summary: gearbox requires ice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gearbox
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F21FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-11-20 14:40 UTC by Rich Mattes
Modified: 2014-11-25 21:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-25 21:47:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Rich Mattes 2014-11-20 14:40:03 UTC
Description of problem:
Gearbox is built against ice, which was retired for f21+ just before the final freeze.  Ice is an optional dependency for gearbox, so gearbox is now rebuilt for f21 and rawhide without a dependency on ice.

Version-Release number of selected component (if applicable):
gearbox-10.11-10.fc21.1

Comment 1 Fedora Blocker Bugs Application 2014-11-20 14:42:29 UTC
Proposed as a Freeze Exception for 21-final by Fedora user rmattes using the blocker tracking app because:

 gearbox is required for the robotics spin to compose, and the new build is required since ice is no longer in Fedora.  It's a leaf dependency, and it was a simple rebuild that shouldn't hurt anything that depends on it.

Comment 2 Kalev Lember 2014-11-24 14:46:38 UTC
+1 FE

Comment 3 Kevin Fenzi 2014-11-24 14:47:22 UTC
+1 FE here.

Comment 4 Adam Williamson 2014-11-24 18:24:50 UTC
Discussed at 2014-11-24 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-11-24/f21-blocker-review.2014-11-24-17.01.log.txt . Accepted as a freeze exception issue, obviously good to fix dep problems in packages on shipped media.

Comment 6 Adam Williamson 2014-11-25 21:47:44 UTC
Was pushed stable yesterday, closing.


Note You need to log in before you can comment on or make changes to this bug.